import { ToolbarActionToggle } from './toolbar-action-toggle';
import { ToolbarAction } from './toolbar-action';
import { Toolbar } from './toolbar';
export type ToolbarMenuActions = (ToolbarAction | ToolbarAction[])[];
export type ToolbarMenuItem = ToolbarAction | string;
export type ToolbarMenuItems = (ToolbarMenuItem | ToolbarMenuItem[])[];
export declare class ToolbarMenu extends ToolbarActionToggle {
    readonly items: ToolbarMenuItems;
    protected onDocumentClickListener: () => void;
    protected menu?: HTMLDivElement;
    protected actions: ToolbarMenuActions;
    constructor(items: ToolbarMenuItems);
    get enabled(): boolean;
    private matchActionByName;
    get(name: string): ToolbarAction | undefined;
    add(action: ToolbarAction | ToolbarAction[], index?: number, group?: number): void;
    delete(name: string): void;
    setToolbar(toolbar: Toolbar): void;
    initialize(): Promise<void>;
    terminate(): Promise<void>;
    open(): void;
    close(): void;
}
